import { useUserState } from "../contexts/UserContext";
import { useCallback } from "react";

const useResourceSecurity = () => {
  const { token } = useUserState();
  const secureUrl = useCallback((url) => `${url}?token=${token.raw}`, [
    token.raw
  ]);

  return { secureUrl };
};

export default useResourceSecurity;
